<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Infiltration](./bitburner.infiltration.md) &gt; [getInfiltration](./bitburner.infiltration.getinfiltration.md)

## Infiltration.getInfiltration() method

Get all infiltrations with difficulty, location and rewards.

**Signature:**

```typescript
getInfiltration(location: string): InfiltrationLocation;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  location | string |  |

**Returns:**

[InfiltrationLocation](./bitburner.infiltrationlocation.md)

Infiltration data for given location.

## Remarks

RAM cost: 15 GB

